> ## Documentation Index
> Fetch the complete documentation index at: https://docs.telli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Contact

> Adds a new contact to the system

<Warning>
  This endpoint is deprecated. Use [Create Contact](/v2/endpoint/create-contact) instead. See the [Migration Guide](/v2-migration-guide) for details.
</Warning>


## OpenAPI

````yaml openapi.json POST /v1/add-contact
openapi: 3.0.3
info:
  title: telli API
  version: 1.0.0
  description: API documentation for telli's V1 endpoints
servers:
  - url: https://api.telli.com
security:
  - apiKey: []
paths:
  /v1/add-contact:
    post:
      summary: Add Contact
      description: Adds a new contact to the system
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Contact'
      responses:
        '200':
          description: Contact created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  contact_id:
                    type: string
                    format: uuid
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized - Invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Contact:
      type: object
      required:
        - external_contact_id
        - first_name
        - last_name
        - phone_number
      properties:
        external_contact_id:
          type: string
          description: Your unique internal identifier for the contact
        external_url:
          type: string
          format: uri
          description: External URL linking to the contact in your CRM or external system
        salutation:
          type: string
          description: >-
            Formal title or greeting (e.g. 'Mr.', 'Ms.', 'Herr', 'Frau'). If
            empty, will auto guess based on first name for German calls.
        first_name:
          type: string
        last_name:
          type: string
        phone_number:
          type: string
          description: Contact's phone number in E.164 format (e.g. +4917642048466)
        email:
          type: string
          format: email
        contact_details:
          type: object
          description: >-
            Custom variables passed to the AI agent (should be discussed in
            advance). Please send variables in lowercase snake_case. This used
            to be called dynamic_variables, which still works but is deprecated
            and should be replaced with contact_details. Alternatively, you can
            send contact_details_<key> in the body instead of an object.
          additionalProperties:
            anyOf:
              - type: number
              - type: string
        timezone:
          type: string
          description: >-
            IANA timezone identifier (e.g. Europe/Berlin). Defaults to account
            timezone if not set
    Error:
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: 'API key must be provided as: Bearer <api_key>'
      x-bearer-format: Bearer

````